#ifndef Server_Setting_Widget_H
#define Server_Setting_Widget_H
#include "../Global.h"
#include "Widget/base/export.h"
class QLabel;
class QPushButton;
class Expand_Input;
class Show_Help_Info;
class Server_Setting_Widget : public QWidget {
public:
    explicit Server_Setting_Widget(QWidget *parent = nullptr);
    QLabel *rig_name_label, *user_name_label, *password_label, *ctrl_port_label, *civ_port_label, *audio_port_label;
    Expand_Input *rig_name_edit, *user_name_edit, *password_edit, *ctrl_port_edit, *civ_port_edit, *audio_port_edit;
    Show_Help_Info* show_help_info;
    renderive::Roll_Object<QPushButton> roll_object;
    QPushButton *start_button, *default_button, *clear_button, *save_button, *exit_button;
    static QLabel* create_label(const QString& text);
protected:
    void paintEvent(QPaintEvent *event) override;
    void keyPressEvent(QKeyEvent *event) override;
    void showEvent(QShowEvent *event) override;
};
#endif



